datablock ParticleData(DefaultParticle)
{
    dragCoefficient = 0;
    gravityCoefficient = -0.315018;
    windCoefficient = 0;
    inheritedVelFactor = 0;
    constantAcceleration = 0;
    lifetimeMS = 480;
    lifetimeVarianceMS = 224;
    useInvAlpha = 0;
    spinRandomMin = -30;
    spinRandomMax = 30;
    textureName = "./particletest";
    spinSpeed = 0;
    times[0] = 0;
    times[1] = 0.494118;
    times[2] = 1;
    colors[0] = "0.771654 0.582677 0.000000 0.055118";
    colors[1] = "0.771654 0.582677 0.000000 0.055118";
    colors[2] = "0.000000 0.000000 0.000000 0.000000";
    sizes[0] = 0.98883;
    sizes[1] = 0.98883;
    sizes[2] = 4.98993;
};

datablock ParticleEmitterData(DefaultEmitter)
{
    ejectionPeriodMS = 15;
    periodVarianceMS = 5;
    ejectionVelocity = 0.25;
    velocityVariance = 0.07;
    ejectionOffset = 0;
    thetaMin = 0;
    thetaMax = 90;
    phiReferenceVel = 0;
    phiVariance = 360;
    overrideAdvances = 0;
    orientParticles= 0;
    orientOnVelocity = 1;
    particles = "DefaultParticle";
};


datablock ParticleEmitterNodeData(DefaultEmitterNode)
{
   timeMultiple = 1;
};

datablock ParticleEmitterNodeData(DoubleTimeEmitterNode)
{
   timeMultiple = 2;
};

datablock ParticleEmitterNodeData(HalfTimeEmitterNode)
{
   timeMultiple = 0.5;
};
