//-----------------------------------------------------------------------------
// Torque Game Engine
// 
// Copyright (c) 2001 GarageGames.Com
// Portions Copyright (c) 2001 by Sierra Online, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Package overrides to initialize the mod.

package ParticleEditor {

	function displayHelp() {
  		Parent::displayHelp();
   	error("Particle Editor options:\n");
	}

	function OptionsDlg::onWake( %this ) {
	 	if($YourKeyRemap !$= "true") {
	 		$RemapName[$RemapCount]="Toggle Particle Editor";
	 		$RemapCmd[$RemapCount]="toggleParticleEditor";
	 		$RemapCount++;
	 		$YourKeyRemap = "true";
	 	}
	 	parent::onWake(%this);
	}

	function loadMissionStage2() 
	{
		%fileSpec = "./Particles/*.cs";
		for ( %file = findFirstFile( %fileSpec ); %file !$= ""; %file = findNextFile( %fileSpec )	)
			exec( %file );
		
		Parent::loadMissionStage2();
	}

	function onStart()
	{
   	echo("\n--------- Initializing MOD: Particle Editor ---------");
   	Parent::onStart();

   	// Load the scripts that start it all...
   	exec("./ui/init.cs");
   	exec("./scripts/init.cs");
	}

}; // Client package

activatePackage(ParticleEditor);
